% transient distr's for given T's
% transT(:) = the T's (input), 
% HerfT(:) = herfs output
% production of transients transdisT(ii,jj,indT) is commented out to save time
% compute transition matrix (in case there isn't one already)
run QLD_transMat

clear transdisT % old transients (if any)
% groom list of T's to compute transients
transT = unique(transT);
transT = sort(transT);


% create starting distribution and herf vectors
start = zeros(L,L);
start(st(1)+1,st(2)+1) = 1;
curdis=repmat(NaN,1,L*L);
herf=repmat(NaN,1,L*L);
n=0;
for i=1:L
    for j=1:L
        n=n+1;
        curdis(n) = start(i,j);
        
        herf(n) = ( (exp(nu(i)-p(i,j,1)))^2 + (exp(nu(j)-p(i,j,2)))^2 )/( exp(nu(i)-p(i,j,1)) ...
              + exp(nu(j)-p(i,j,2)) )^2;
    end
end

%
% curdis = startvector*transfn2D;
curT=1;
transdisT=zeros(L,L,length(transT));
HerfT=repmat(NaN,1,length(transT));

for curT=1:max(transT)
    curdis = curdis*transfn2D;
%     curT=curT+1;
    
    indT=find(curT==transT);
    if ~isempty(indT) % capture this distribution & Herf
        HerfT(indT)=sum(sum( curdis.*herf ));
    end
end

