% == QUALITY LADDER DUOPOLY EXERCISE
% == By RON N. BORKOVSKY
% == FILENAME: myprof.m
% == NOTE: This function calculates each firm's equilbrium profit
% == in the product market game, given a state and price for each firm.

function F2 = myprof(p,om,g,c,M);

F2 = [(p(1)-c)*M*exp(g(om(1))-p(1))/(1+exp(g(om(1))-p(1))+exp(g(om(2))-p(2)))
      (p(2)-c)*M*exp(g(om(2))-p(2))/(1+exp(g(om(1))-p(1))+exp(g(om(2))-p(2)))];